-- strategic resources, ignore the deity modifier name, it's just an additional modifier without deity requirement

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'IRON_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'IRON_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'HORSES_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'HORSES_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'COAL_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'COAL_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'ALUMINUM_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'ALUMINUM_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'NITER_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'NITER_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'OIL_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'OIL_MODIFIER_LGAI_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'URANIUM_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'URANIUM_MODIFIER_LGAI_DEITY');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('IRON_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('IRON_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_CLASSICAL'),
('HORSES_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('HORSES_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_CLASSICAL'),
('NITER_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
('NITER_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
('COAL_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_MODERN'),
('COAL_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
('OIL_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_ATOMIC'),
('OIL_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_MODERN'),
('ALUMINUM_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_INFO'),
('ALUMINUM_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_ATOMIC'),
('URANIUM_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_FUTURE'),
('URANIUM_MODIFIER_LGAI_DEITY', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_ATOMIC_DEITY');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value) VALUES
('IRON_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_IRON'),
('IRON_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('IRON_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_IRON'),
('IRON_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('HORSES_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_HORSES'),
('HORSES_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('HORSES_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_HORSES'),
('HORSES_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('NITER_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_NITER'),
('NITER_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('NITER_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_NITER'),
('NITER_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('COAL_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_COAL'),
('COAL_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('COAL_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_COAL'),
('COAL_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('OIL_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_OIL'),
('OIL_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('OIL_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_OIL'),
('OIL_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('ALUMINUM_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_ALUMINUM'),
('ALUMINUM_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('ALUMINUM_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_ALUMINUM'),
('ALUMINUM_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('URANIUM_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_URANIUM'),
('URANIUM_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '0'),
('URANIUM_MODIFIER_LGAI_DEITY', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_URANIUM'),
('URANIUM_MODIFIER_LGAI_DEITY', 'Amount', 'ARGTYPE_IDENTITY', '2');